#!/usr/bin/env python

import mad
import ao
import sys
import pcm

file = sys.argv[1]
device = 'oss'
SIZE = 4806*1

f = mad.MadFile(file)

rate1 = 88200
rate2 = 44100

ao = ao.AudioDevice("oss", bits=16, rate=rate2)
mixingratio = 0

last_l1 = last_r1 = last_l2 = last_r2 = None

while 1:
    buff = f.read()

    if len(buff) == 0: break

    print len(buff),
    buff, last_l1, last_r1 = pcm.rate_convert(buff, f.samplerate(), None, None, rate1, last_l1, last_r1)
    print len(buff),
    buff, last_l2, last_r2 = pcm.rate_convert(buff, rate1, None, None, rate2, last_l2, last_r2)
    print len(buff)

    ao.play(buff, len(buff))
